//+------------------------------------------------------------------+
//|                                  test_get_objprop_createtime.mq5 |
//|                                                2015, Dina Paches |
//|                           https://login.mql5.com/ru/users/dipach |
//+------------------------------------------------------------------+
#property copyright "2015, Dina Paches"
#property link      "https://login.mql5.com/ru/users/dipach"
#property version   "1.00"
//---
#include <ObjectCreateAndSet.mqh>
#define NAME_OBJECT    "object_get_objprop_createtime"
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   if(ObjectFind(0,NAME_OBJECT)<0)
     {
      datetime timeLocal=0,
               timeTradeServer=0,
               timeCurrent=0,
               timeGMT=0;
      //---
      ButtonCreate(0,NAME_OBJECT,0,30,30,50,50);
      CreateTimeGetPrint(NAME_OBJECT);
      //---
      timeLocal=TimeLocal();
      timeTradeServer=TimeTradeServer();
      timeCurrent=TimeCurrent();
      timeGMT=TimeGMT();
      //---
      Print(LINE_NUMBER,"TimeLocal(): ",
            TimeToString(timeLocal,TIME_DATE|TIME_SECONDS));
      Print(LINE_NUMBER,"TimeTradeServer(): ",
            TimeToString(timeTradeServer,TIME_DATE|TIME_SECONDS));
      Print(LINE_NUMBER,"TimeCurrent(): ",
            TimeToString(timeCurrent,TIME_DATE|TIME_SECONDS));
      Print(LINE_NUMBER,"TimeGMT(): ",
            TimeToString(timeGMT,TIME_DATE|TIME_SECONDS));
      //---
      ChartRedraw();
      //---
      Sleep(10000);//10 000 = 10 seconds
      //---
      ObDelete(0,NAME_OBJECT);
     }
   else
     {
      Alert("On the chart there is already this object named: \r\n",
            "\"",NAME_OBJECT,"\"",". Script removed."); return;
     }
  }
//+------------------------------------------------------------------+
//|          |
//+------------------------------------------------------------------+
bool CreateTimeGetPrint(const string name,
                        const string text=" ",
                        const long chart_id=0)
  {
   datetime create_time=0;
   if(!ObjectGetInteger(chart_id,name,OBJPROP_CREATETIME,0,create_time))
     {
      Print(LINE_NUMBER,__FUNCTION__,", Error Code = ",GetLastError());
      return(false);
     }
   else
     {
      Print(LINE_NUMBER,text,": name object = \"",name,
            "\", OBJPROP_CREATETIME = ",
            TimeToString(create_time,TIME_DATE|TIME_SECONDS));
     }
   return(true);
  }
//+------------------------------------------------------------------+
